### File

`packages/core/src/lib/services/loader/eui-loader.model.ts`

### Description

A dependency is a script or style that can be loaded dynamically

### Index

###### Properties

- name
- requires
- Optional retries
- Optional status
- type
- url

### Properties

name
`name: `string``
Type : `string`
an identifier for the dependency

requires
`requires: `string[]``
Type : `string[]`

an array of dependencies corresponds to the Dependency.name that must be loaded before this dependency

Example :

    ['quill-better-table']
    where 'quill-better-table' is the name of the dependency
    const betterTable: Dependency = {
      name: 'quill-better-table',
      url: 'https://cdn.quilljs.com/1.3.6/quill.js',
      type: 'js',
      requires: ['quill-better-table'],
    }

retries
`retries: `number``
Type : `number`
Optional
the number of times the dependency has been loaded

status
`status: `Status``
Type : `Status`
Optional
the status of the dependency

type
`type: `"js" | "css"``
Type : `"js" | "css"`
the type of the dependency. Is it a style or script?

url
`url: `string``
Type : `string`

the url of the dependency

Example :

    https://cdn.quilljs.com/1.3.6/quill.js

# results matching ""

# No results matching ""